<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <style>
        tr, td, th, table {
            border: 1px solid black;
        }

        table.center {
            margin-left: auto;
            margin-right: auto;
        }

        div.center {
            text-align: center;
        }
    </style>
</head>
<body>
<div class="center">
    <div style="text-align: center">
        <h1>Sistema Livraria</h1>
        <h2>Listas</h2>
    </div>
    <br><br><br>
    <h3>Clientes:</h3>
    <table class="center">
        <tr>
            <th>CPF</th>
            <th>Nome</th>
            <th>Email</th>
            <th>Endereço</th>
            <th>Telefone</th>
            <th>Data de Nascimento</th>
            <th>Sexo</th>
            <th>Ações</th>
        </tr>
        {% for cliente in clientes %}
            <tr>
                <td>{{ cliente.cpf }}</td>
                <td>{{ cliente.nome }}</td>
                <td>{{ cliente.email }}</td>
                <td>{{ cliente.endereco }}</td>
                <td>{{ cliente.fone }}</td>
                <td>{{ cliente.dt_nascimento }}</td>
                <td>{{ cliente.sexo }}</td>
                <td>
                    <button onclick="window.location='{% url 'update_cliente' cliente.id %}'">Atualizar</button>
                    <button onclick="window.location='{% url 'deletar_cliente' cliente.id %}'">Deletar</button>
                </td>
            </tr>
        {% endfor %}
    </table>

    <h3>Livros:</h3>
    <table class="center">
        <tr>
            <th>ISBN</th>
            <th>Título</th>
            <th>Autor</th>
            <th>Editora</th>
            <th>Ano de Publicação</th>
            <th>Preço</th>
            <th>Quantidade</th>
            <th>Ações</th>
        </tr>
        {% for livro in livros %}
            <tr>
                <td>{{ livro.isbn }}</td>
                <td>{{ livro.titulo }}</td>
                <td>{{ livro.autor }}</td>
                <td>{{ livro.editora }}</td>
                <td>{{ livro.ano_de_publicacao }}</td>
                <td>{{ livro.preco }}</td>
                <td>{{ livro.quantidade }}</td>
                <td>
                    <button onclick="window.location='{% url 'update_livro' livro.id %}'">Atualizar</button>
                    <button onclick="window.location='{% url 'deletar_livro' livro.id %}'">Deletar</button>
                </td>
            </tr>
        {% endfor %}
    </table>
    <br>
    <button onclick="window.location='{% url 'home' %}'">Home</button>
</div>
</body>
</html>